package com.danitheskunk.skunkworks.backends.gl;

import com.danitheskunk.skunkworks.Vec3f;
import com.danitheskunk.skunkworks.gfx.BaseRenderContext3D;

import static org.lwjgl.opengl.GL46.*;

public class RenderContext3D extends BaseRenderContext3D {
	@Override
	public void renderTriangle(Vec3f p1, Vec3f p2, Vec3f p3) {
		glBegin(GL_TRIANGLES);

		glVertex3d(p1.getX(), p1.getY(), p1.getZ());
		glVertex3d(p2.getX(), p2.getY(), p2.getZ());
		glVertex3d(p3.getX(), p3.getY(), p3.getZ());

		/*
		glVertex3f((float) p1.getX(), (float) p1.getY(), (float) p1.getZ());
		glVertex3f((float) p2.getX(), (float) p2.getY(), (float) p2.getZ());
		glVertex3f((float) p3.getX(), (float) p3.getY(), (float) p3.getZ());
		 */

		glEnd();
	}
}
